/*!
  \file
  \brief エンコーダ制御

  \author Satofumi KAMIMURA

  $Id: encoder_control.c 1628 2010-01-18 00:30:05Z satofumi $
*/

#include "encoder_control.h"


void encoder_initialize(int id, encoder_t *encoder)
{
  encoder->reset = 0;
  encoder->id = id;

  // !!!

  // !!! 現在の値で初期化する
  // encoder->previous_count = 0;
}


void encoder_reset(encoder_t *encoder)
{
  (void)encoder;

  // !!!

  // !!! 現在の値で初期化する
  // encoder->previous_count = 0;
}


void encoder_update(encoder_t *encoder)
{
  (void)encoder;

  // !!!
}


short encoder_difference(const encoder_t *encoder)
{
  (void)encoder;

  // !!!

  return 0;
}


unsigned long encoder_count(int id)
{
  (void)id;

  // !!!

  return 0;
}
